# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.22

# Delete rule output on recipe failure.
.DELETE_ON_ERROR:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /config/workspace/Cpp/testHTTP/MyHttp

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /config/workspace/Cpp/testHTTP/MyHttp/build

# Include any dependencies generated for this target.
include CMakeFiles/MyHttp.dir/depend.make
# Include any dependencies generated by the compiler for this target.
include CMakeFiles/MyHttp.dir/compiler_depend.make

# Include the progress variables for this target.
include CMakeFiles/MyHttp.dir/progress.make

# Include the compile flags for this target's objects.
include CMakeFiles/MyHttp.dir/flags.make

CMakeFiles/MyHttp.dir/main.cpp.o: CMakeFiles/MyHttp.dir/flags.make
CMakeFiles/MyHttp.dir/main.cpp.o: ../main.cpp
CMakeFiles/MyHttp.dir/main.cpp.o: CMakeFiles/MyHttp.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/config/workspace/Cpp/testHTTP/MyHttp/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_1) "Building CXX object CMakeFiles/MyHttp.dir/main.cpp.o"
	/usr/bin/g++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/MyHttp.dir/main.cpp.o -MF CMakeFiles/MyHttp.dir/main.cpp.o.d -o CMakeFiles/MyHttp.dir/main.cpp.o -c /config/workspace/Cpp/testHTTP/MyHttp/main.cpp

CMakeFiles/MyHttp.dir/main.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/MyHttp.dir/main.cpp.i"
	/usr/bin/g++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /config/workspace/Cpp/testHTTP/MyHttp/main.cpp > CMakeFiles/MyHttp.dir/main.cpp.i

CMakeFiles/MyHttp.dir/main.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/MyHttp.dir/main.cpp.s"
	/usr/bin/g++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /config/workspace/Cpp/testHTTP/MyHttp/main.cpp -o CMakeFiles/MyHttp.dir/main.cpp.s

# Object files for target MyHttp
MyHttp_OBJECTS = \
"CMakeFiles/MyHttp.dir/main.cpp.o"

# External object files for target MyHttp
MyHttp_EXTERNAL_OBJECTS =

MyHttp: CMakeFiles/MyHttp.dir/main.cpp.o
MyHttp: CMakeFiles/MyHttp.dir/build.make
MyHttp: CMakeFiles/MyHttp.dir/link.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --bold --progress-dir=/config/workspace/Cpp/testHTTP/MyHttp/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_2) "Linking CXX executable MyHttp"
	$(CMAKE_COMMAND) -E cmake_link_script CMakeFiles/MyHttp.dir/link.txt --verbose=$(VERBOSE)

# Rule to build all files generated by this target.
CMakeFiles/MyHttp.dir/build: MyHttp
.PHONY : CMakeFiles/MyHttp.dir/build

CMakeFiles/MyHttp.dir/clean:
	$(CMAKE_COMMAND) -P CMakeFiles/MyHttp.dir/cmake_clean.cmake
.PHONY : CMakeFiles/MyHttp.dir/clean

CMakeFiles/MyHttp.dir/depend:
	cd /config/workspace/Cpp/testHTTP/MyHttp/build && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /config/workspace/Cpp/testHTTP/MyHttp /config/workspace/Cpp/testHTTP/MyHttp /config/workspace/Cpp/testHTTP/MyHttp/build /config/workspace/Cpp/testHTTP/MyHttp/build /config/workspace/Cpp/testHTTP/MyHttp/build/CMakeFiles/MyHttp.dir/DependInfo.cmake --color=$(COLOR)
.PHONY : CMakeFiles/MyHttp.dir/depend

